Extending Qt Creator Manual | ProjectManager

Extending Qt Creator Manual 4.5.2

# ProjectManager Class

(ProjectExplorer::ProjectManager)

- List of all members, including inherited members

## Static Public Members

bool | canOpenProjectForMimeType(const Utils::MimeType &mt)
Project * | openProject(const Utils::MimeType &mt, const Utils::FileName &fileName)
void | registerProjectType(const QString &mimeType)

## Member Function Documentation

### `[static]` bool ProjectManager::canOpenProjectForMimeType(const Utils::MimeType &mt)

### `[static]` Project *ProjectManager::openProject(const Utils::MimeType &mt, const Utils::FileName &fileName)

### `[static]` void ProjectManager::registerProjectType(const QString &mimeType)